summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2023-02-21 23:15:09 +0000
committerKarl Berry <karl@freefriends.org>2023-02-21 23:15:09 +0000
commit09253b47771b0fed5633b7cf9f169a3bf07adaed (patch)
treeb13b3b709bbd8ef6f6569018851404e4bef584ec
parent20cbd792a27fceea083d02df2ec9820124c2585e (diff)
doc,sync
git-svn-id: svn://tug.org/texlive/trunk@66042 c570f23f-e606-0410-a88d-b1316a301751
-rwxr-xr-xBuild/source/texk/texlive/linked_scripts/texlive/tlmgr.pl13
-rwxr-xr-xMaster/tlpkg/bin/c2l4
-rwxr-xr-xMaster/tlpkg/bin/ctan2tl30
-rwxr-xr-xMaster/tlpkg/bin/tl-update-auto13
-rw-r--r--Master/tlpkg/dev/srclist.txt2
-rw-r--r--Master/tlpkg/doc/releng.txt6
6 files changed, 38 insertions, 30 deletions
diff --git a/Build/source/texk/texlive/linked_scripts/texlive/tlmgr.pl b/Build/source/texk/texlive/linked_scripts/texlive/tlmgr.pl
index 2c9e05474df..44854cee54c 100755
--- a/Build/source/texk/texlive/linked_scripts/texlive/tlmgr.pl
+++ b/Build/source/texk/texlive/linked_scripts/texlive/tlmgr.pl
@@ -1,14 +1,15 @@
#!/usr/bin/env perl
-# $Id: tlmgr.pl 65965 2023-02-20 17:26:54Z karl $
-#
+# $Id: tlmgr.pl 65998 2023-02-21 01:33:24Z karl $
# Copyright 2008-2023 Norbert Preining
# This file is licensed under the GNU General Public License version 2
# or any later version.
+#
+# TeX Live Manager.
use strict; use warnings;
-my $svnrev = '$Revision: 65965 $';
-my $datrev = '$Date: 2023-02-20 18:26:54 +0100 (Mon, 20 Feb 2023) $';
+my $svnrev = '$Revision: 65998 $';
+my $datrev = '$Date: 2023-02-21 02:33:24 +0100 (Tue, 21 Feb 2023) $';
my $tlmgrrevision;
my $tlmgrversion;
my $prg;
@@ -895,7 +896,7 @@ sub handle_execute_actions {
if (defined($localtlpdb->get_package('context'))
&& (-x "$bindir/texlua" || -x "$bindir/texlua.exe")) {
$errors += do_cmd_and_check("mtxrun --generate");
- $errors += run_postinst_cmd("context --luatex --generate");
+ $errors += do_cmd_and_check("context --luatex --generate");
}
$::files_changed = 0;
}
@@ -10248,7 +10249,7 @@ This script and its documentation were written for the TeX Live
distribution (L<https://tug.org/texlive>) and both are licensed under the
GNU General Public License Version 2 or later.
-$Id: tlmgr.pl 65965 2023-02-20 17:26:54Z karl $
+$Id: tlmgr.pl 65998 2023-02-21 01:33:24Z karl $
=cut
# test HTML version: pod2html --cachedir=/tmp tlmgr.pl >/tmp/tlmgr.html
diff --git a/Master/tlpkg/bin/c2l b/Master/tlpkg/bin/c2l
index 96192d5d80d..cb1a740348f 100755
--- a/Master/tlpkg/bin/c2l
+++ b/Master/tlpkg/bin/c2l
@@ -5,7 +5,7 @@
# Convenience front-end script to run ctan2tl. It rearranges the output
# so error messages come first, then the list of changed files. Also
# accepts platform abbreviations to run tl-update-bindir, etc. Don't
-# take it too seriously; it surely needs generalizing.
+# take it too seriously, it's just for convenience.
use Cwd;
use File::Basename;
@@ -71,7 +71,7 @@ sub main {
exit 0;
} elsif ($arg eq "cg" || $arg eq "moj" || $arg eq "mojca") {
- for my $p (qw(i386-freebsd amd64-freebsd
+ for my $p (qw(aarch-linux i386-freebsd amd64-freebsd
x86_64-darwinlegacy
i386-solaris x86_64-solaris)) {
system ("$0 $p") && die "cg/$p failed";
diff --git a/Master/tlpkg/bin/ctan2tl b/Master/tlpkg/bin/ctan2tl
index fa14e9279d5..49c46849485 100755
--- a/Master/tlpkg/bin/ctan2tl
+++ b/Master/tlpkg/bin/ctan2tl
@@ -19,14 +19,14 @@ test -d $raw || mkdir $raw
cd $raw || exit 1
if test "x$1" = x--help; then
- echo "Usage: $0 [--place] [--no-ctan] TLPKGNAME"
+ echo "Usage: $0 [--place] [--no-ctan] [--git] TLPKGNAME"
echo
echo "Install a package from CTAN into TeX Live."
echo
- echo "--place, -p perform repository adds/removes."
- echo "--no-ctan if already have files in Build/tmp.raw/PKG."
- echo "--contrib for https://contrib.texlive.info"
- echo "--git for git"
+ echo "--place,-p,p perform repository adds/removes."
+ echo "--no-ctan if already have files in Build/tmp.raw/PKG."
+ echo "--contrib for https://contrib.texlive.info."
+ echo "--git for git."
echo
echo "This never actually commits anything to the repository,"
echo "but it does svn update the potentially affected directories."
@@ -45,19 +45,18 @@ copy_from_ctan=true
contrib_ctan2tds_arg=
contrib_place_arg=
mode=svn
-while true; do
+pkg=
+while test $# -gt 0; do
case "$1" in
- '-p'|'--place')
+ 'p'|'-p'|'--place')
place_chicken=
shift;;
'--no-ctan')
copy_from_ctan=false
shift;;
'--contrib')
- do_contrib=true
- shift
- contrib_place="$1"
- shift
+ do_contrib=true; shift
+ contrib_place="$1"; shift
contrib_ctan2tds_arg=--contrib
contrib_place_arg="--contrib=$contrib_place --mode=git"
;;
@@ -65,12 +64,15 @@ while true; do
mode="git"
shift;;
*)
- break
- ;;
+ if test -n "$pkg"; then
+ echo "$0: package $pkg already specified, unexpected second: $1" >&2
+ exit 1
+ fi
+ pkg=$1
+ shift;;
esac
done
-pkg=$1
if test -z "$pkg"; then
echo "$0: no TL package name specified." >&2
exit 1
diff --git a/Master/tlpkg/bin/tl-update-auto b/Master/tlpkg/bin/tl-update-auto
index bbe1d1a1520..f75902a412b 100755
--- a/Master/tlpkg/bin/tl-update-auto
+++ b/Master/tlpkg/bin/tl-update-auto
@@ -249,17 +249,20 @@ fi
fi # !config_scripts_only
-# ctan mirror list from ctan. Update daily since there is constant
-# churn. Something awry with the probing?
-# || test `expr $(date +%d) % 2` = 0
+# ctan mirror list from ctan. There is constant churn, so don't
+# update more than once a day.
if $config_scripts_only; then :; else
ctan_mirrors=$TMPDIR/mirrors # incoming data from CTAN
ctan_mirmon=$TMPDIR/mirmon.state
mirrors4tl=tlpkg/installer/ctan-mirrors.pl # massaged for TL
- if wget --quiet https://ctan.org/tex-archive/CTAN.sites -O $ctan_mirrors \
+ if test -n "`find $mirrors4tl -newermt '23 hours ago'`"; then
+ echo "$0: ctan mirror list already updated today, skipping update:" >&2
+ ls -l $mirrors4tl >&2
+
+ elif wget --quiet https://ctan.org/tex-archive/CTAN.sites -O $ctan_mirrors \
&& rsync rsync://comedy.dante.de/MirMon/mirmon.state $ctan_mirmon; then
- $mydir/tl-update-ctan-mirrors $ctan_mirrors $ctan_mirmon >$mirrors4tl.new
+ $mydir/tl-update-ctan-mirrors -v $ctan_mirrors $ctan_mirmon >$mirrors4tl.new
if $diff $mirrors4tl $mirrors4tl.new; then
$verbose " $mirrors4tl ok."
rm -f $mirrors4tl.new
diff --git a/Master/tlpkg/dev/srclist.txt b/Master/tlpkg/dev/srclist.txt
index 7288e36c118..7a225dceb25 100644
--- a/Master/tlpkg/dev/srclist.txt
+++ b/Master/tlpkg/dev/srclist.txt
@@ -23,7 +23,7 @@ Master/tlpkg/TeXLive/TLUtils.pm Build/source/texk/tests/TeXLive/
Master/tlpkg/TeXLive/TLConfig.pm Build/source/texk/tests/TeXLive/
# Maintained in Master (with Id expansion).
-Master/bin/win32/runscript.tlu Build/source/texk/texlive/w32_wrapper/runscript.tlu
+Master/bin/windows/runscript.tlu Build/source/texk/texlive/w32_wrapper/runscript.tlu
# Glyph lists used by pdftex, now maintained in lcdf-typetools:
Build/source/texk/lcdf-typetools/lcdf-typetools-*/glyphtounicode.tex Master/texmf-dist/tex/generic/pdftex/glyphtounicode.tex
diff --git a/Master/tlpkg/doc/releng.txt b/Master/tlpkg/doc/releng.txt
index 3a0032b0275..981225bdf2a 100644
--- a/Master/tlpkg/doc/releng.txt
+++ b/Master/tlpkg/doc/releng.txt
@@ -146,8 +146,10 @@ Ensure that web2c/texmf.cnf is updated for the current year (per above).
fmtutil-user --all >&/tmp/fua
egrep -i 'ERROR|failed' /tmp/fua
-6b. (For karl@tug.org: leave new ~karl/.texlive`date +%Y` for bnb.
-Also run mtxrun --generate>&/tmp/mtxgen to be able to run ConTeXt.)
+6b. For karl@tug.org: leave new ~karl/.texlive`date +%Y` for bnb.
+Also, for ConTeXt:
+ mtxrun --generate >&/tmp/mtxgen
+ context --luatex --generate >&/tmp/cltxgen
7. Check for Build-maintained updates to config files, new files, etc.
(might have to merge back if Master was mistakenly updated):